<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Pageone configuration page
 *
 * @package   message_pageone
 * @copyright 2015 Tim Williams and TDM
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die;

if ($ADMIN->fulltree) {

    $logopts = array(0 => get_string("no"), 1 => get_string("yes"));

    $settings->add(new admin_setting_configselect('message_pageone/log', get_string('config_log', 'message_pageone'),
        get_string('config_log_help', 'message_pageone'), 0, $logopts));

    $assigndeadlineopts = array(0 => get_string("no"), 1 => get_string("yes"));

    $settings->add(new admin_setting_configselect('message_pageone/assign_deadline',
        get_string('config_assign_deadline', 'message_pageone'),
        get_string('config_assign_deadline_help', 'message_pageone'), 0, $assigndeadlineopts));

    $assigndeadlineuseropts = array(0 => get_string("no"), 1 => get_string("yes"));

    $settings->add(new admin_setting_configselect('message_pageone/assign_deadline_user',
        get_string('config_assign_deadline_user', 'message_pageone'),
        get_string('config_assign_deadline_user_help', 'message_pageone'), 0, $assigndeadlineuseropts));

    $settings->add(new admin_setting_configtext('message_pageone/deadline_days',
        get_string("config_deadline_days", "message_pageone"),
        get_string("config_deadline_days_help", "message_pageone"), 2, PARAM_INT));

    $timeopts = array();
    for ($loop = 0; $loop < 24; $loop++) {
        $timeopts[$loop] = $loop.":00";
    }

    $settings->add(new admin_setting_configselect('message_pageone/cron_time', get_string('config_cron_time', 'message_pageone'),
        get_string('config_cron_time_help', 'message_pageone'), 7, $timeopts));

    $forumopts = array(0 => get_string("no"), 1 => get_string("yes"));

    $settings->add(new admin_setting_configselect('message_pageone/forum', get_string('config_forum', 'message_pageone'),
        get_string('config_forum_help', 'message_pageone'), 0, $forumopts));

    $forumuseropts = array(0 => get_string("no"), 1 => get_string("yes"));

    $settings->add(new admin_setting_configselect('message_pageone/forum_user', get_string('config_forum_user', 'message_pageone'),
        get_string('config_forum_user_help', 'message_pageone'), 0, $forumuseropts));


}
